POV-Ray : Newsgroups : povray.text.tutorials : Peaceful coexistence between 3.7.0 and 3.7.1 : Peaceful coexistence between 3.7.0 and 3.7.1 Server Time
8 Dec 2021 07:40:22 EST (-0500)
  Peaceful coexistence between 3.7.0 and 3.7.1  
From: Cousin Ricky
Date: 17 Mar 2017 22:12:03
Message: <58cc9773$1@news.povray.org>
The POV-Ray 3.7.0 cannot run the 3.7.1 version of ior.inc, which means 
if I beta test 3.7.1, I must commit.  Or does it?  The solution to this 
problem was embarrassingly simple:

0. Before starting, make sure you have a copy of the 3.7.0 version of
    ior.inc somewhere safe.  By "safe," I mean someplace it will not be
    overwritten by the POV-Ray installation process.

1. After installing the beta, rename ior.inc in the production include
    directory to ior371.inc.

    You can find the name of this directory in the Library paths
    listing in the message window after you render a scene; it is
    typically My Documents\POV-Ray\v3.7 in Windows and
    /usr/local/share/povray-3.7/include in Unix.

2. Copy the 3.7.0 version of ior.inc to the production
    include directory, renaming it to ior370.inc.

3. Create the following file, name it ior.inc, and copy it to the
    production include directory:

----------[BEGIN CODE]----------
/* ior.inc switch
  * Persistence of Vision Ray Tracer include file
  *
  * Loads a standard version of ior.inc according to the scene's
  * POV-Ray version.
  */
#include #if (version = 3.7) "ior370.inc" #else "ior371.inc" #end
-----------[END CODE]-----------

I recommend keeping a copy this file in one of your user directories, as 
this process must be repeated after every beta install.


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.